Skip to main content
POST
/
cycles
/
{id}
/
simulate
/
advance
Simular avanço de período (test mode)
curl --request POST \
  --url https://api.pagozz.com/v1/cycles/{id}/simulate/advance \
  --header 'Pagozz-Token: <api-key>'
{
  "data": {
    "subscription_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "new_period_start": "2026-04-01T00:00:00Z",
    "new_period_end": "2026-05-01T00:00:00Z",
    "invoice_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "simulated": true
  }
}

Authorizations

Pagozz-Token
string
header
required

Chave de API no formato pgz_test_* (test mode) ou pgz_live_* (live mode). O ambiente é determinado automaticamente pelo prefixo da chave.

Path Parameters

id
string<uuid>
required

ID da subscription (UUID) com status active.

Response

Período avançado com sucesso.